<?php
/**
    Explorer : Plugin for GuppY 4.5 and 4.6
    under CeCILL v2 Free Software Agreement
    Initial version by Kimai: http://michaeldouchin.free.fr/demo/
    Rewrited, secured and enhanced by Hpsam : http://www.hpsam.info/
*/
if (stristr($_SERVER['SCRIPT_NAME'], 'explorer.inc')) {
    header('location:../index.php');
    die();
}

// Find plugin name (in case of duplication)
$explorer_folder = explode('/', str_replace('\\', '/', dirname(__FILE__)));
$explorer_folder = $explorer_folder[count($explorer_folder) - 1];
$explorer_name   = ucfirst($explorer_folder);

include(CHEMIN . 'plugins/' . $explorer_folder . '/lang/' . $lng . '-exp-admin.inc');
include(CHEMIN . 'admin/plugins/funcplug.inc');

// register or unregister the plugin
if (isset($exp_register)) {
    if (!PluginRegistered($explorer_folder)) {
        RegisterPlugin($explorer_folder);
    }
} elseif (isset($exp_unregister)) {
    if (PluginRegistered($explorer_folder)) {
        UnregisterPlugin($explorer_folder);
    }
}

// Save configuration
if ($exp_regit == 1) {
    $exp_root_form = strip_tags($exp_root_form);
    $exp_message0  = isset($exp_message0) ? $exp_message0 : '';
    $exp_message1  = isset($exp_message1) ? $exp_message1 : '';
    if (!get_magic_quotes_gpc()) {
        $exp_message0 = addslashes($exp_message0);
        $exp_message1 = addslashes($exp_message1);
        $exp_name0 = addslashes($exp_name0);
        $exp_name1 = addslashes($exp_name1);
    }
    $mettre = '<?php
$exp_members = stripslashes("' . $exp_members_form . '"); // Restricted area
$exp_root = stripslashes("' . $exp_root_form . '"); // Root folder
$exp_date[0] = stripslashes("' . $exp_date0 . '"); // Date format
$exp_date[1] = stripslashes("' . $exp_date1 . '"); // Date format
$exp_name[0] = stripslashes("' . $exp_name0 . '"); // Icon and title text
$exp_name[1] = stripslashes("' . $exp_name1 . '"); // Icon and title text
$exp_message[0] = stripslashes("' . $exp_message0 . '"); // Top message
$exp_message[1] = stripslashes("' . $exp_message1 . '"); // Top message
';
  WriteFullDB(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc', $mettre);
}

include(CHEMIN . 'inc/hpage.inc');
htable(sprintf($exp_admin1, $explorer_name), "100%");

$exp_noconf = false;
if (is_file(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc')) {
    include(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc');
} else {
    $exp_noconf = true;
    $exp_name = array($explorer_name, $explorer_name);
    $exp_root = 'file/';
    $exp_message = array(
        $exp_admin16,
        '<ul><li>To open a folder, click on the folder icone.</li>
<li>To open or download a file, click on the file name.</li>
<li>You can go back to one of the parent folder by clicking on the small folder icon in front of the  chosen folder name.</li>
<li>To sort the files list click on the columns headers.</li></ul>'
        );
    $exp_members = '';
    $exp_date = array($exp_admin19, $exp_admin19);
}

echo '<p>' . $exp_admin3 . '</p><hr />
<p align="center">
<a href="admin.php?lng=' . $lng . '">' . $admin22 . '</a> ||
<b><a href="admin.php?lng=' . $lng . '&amp;logout=1">' . $admin19 . '</a></b></p><hr />
';

include (CHEMIN . 'admin/plugins/' . $explorer_folder . '/version/update.inc');
if ($version['ok'] != "") {
    echo '<p style="color:green; font-weight:bold; text-align:center;">' . $version['ok'] . "</p>\n";
}
if ($version['errors'] != "") {
    echo '<p style="color:red; font-weight:bold; text-align:center;">' . $version['errors'] . "</p>\n";
}

echo '<u>' . $exp_admin4 . '</u><br />
' . $exp_admin5 . '<br /><br />
<u>' . $exp_admin6 . '</u>
<a href=' . CHEMIN . 'plugins/' . $explorer_folder . '/explorer.php?lng=' . $lng . '
 target="_blank">' . $explorer_name . '</a></p>
';

echo '<form method="post" id="exp_register" action="admin.php?lng=' . $lng . '&amp;pg=plugin&amp;plug='. $explorer_folder . '/explorer" >
';
if ($exp_noconf) {
    echo '<p>' . $exp_admin20 . '</p>';
} else {
    echo '<input type="submit" name="exp_register"   value="' . $exp_admin9 . '" />
<input type="submit" name="exp_unregister" value="' . $exp_admin10 . '" />
';
}
echo '</form> ' . (PluginRegistered($explorer_folder) ? $exp_admin11 : $exp_admin12) . '
';

echo '<hr />
<form  method="post" id="exp_conf" action="admin.php?lng=' . $lng . '&amp;pg=plugin&amp;plug=' . $explorer_folder . '/explorer">
<input type="hidden" name="exp_regit" value="1" />
';
echo '<label for="exp_members_form">' . $exp_admin17 . '</label>
<input id="exp_members_form" name="exp_members_form" type="checkbox"' . ($exp_members ? 'checked="checked"' : '') . ' />
<br /><br />
';
echo '<label for="exp_root_form">' . $exp_admin13 . '</label><br />
<input id="exp_root_form" name="exp_root_form" class="texte" type="text" value="'
. (empty($exp_root) ? 'file/' : $exp_root) . '" size="50" />
<br /><br />
';

// Flags
$flag0 = '<img src="' . CHEMIN . 'inc/lang/' . $lang[0] . '.gif" alt="' . $lang[0] . '" />';
if ($lang[1] != "") {
    $flag1 = '<img src="' . CHEMIN . 'inc/lang/' . $lang[1] . '.gif" alt="' . $lang[1] . '" />';
}

echo '<label>' . $exp_admin18 . '</label><br />' . $flag0 . '
<input id="exp_date0" name="exp_date0" class="texte" type="text" value="'
. ($exp_date[0] ? $exp_date[0] : $exp_admin19) . '" size="30" />
';
if (!empty($lang[1])) {
    echo '<br />'. $flag1 . '
<input id="exp_date1" name="exp_date1" class="texte" type="text" value="'
. ($exp_date[1] ? $exp_date[1] : $exp_admin19) . '" size="30" />
';
} else {
    echo '<input name="exp_date1" type="hidden" value="' . $exp_date[1] . '" />';
}

echo '<br /><br />
';

echo $exp_admin14 . '<br />' . $flag0 . '<br />
<input name="exp_name0" class="texte" type="text" value="' . $exp_name[0] . '" size="50" />
';
if (!empty($lang[1])) {
    echo '<br />'. $flag1 . '<br />
<input name="exp_name1" class="texte" type="text" value="' . $exp_name[1] . '"size="50" />
';
} else {
    echo '<input name="exp_name1" type="hidden" value="' . $exp_name[1] . '" />';
}

echo '<br /><br />
';

//Fonction pour traiter path image (FCKeditor)
require_once(CHEMIN.'admin/inc/function.php');
//Minieditor
if (($serviz[49] != "in") or ($browser == "KO")) {
    $path_minieditortextarea_config ='admin/editors/guppy_config/';
    require(CHEMIN."admin/editors/minieditortextarea/minieditortextarea.inc");
} elseif (($browser == "OK") && ($serviz[49] == "in") &&
    file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
    require(CHEMIN.'inc/fckeditor/fckeditor.php');
}

echo $exp_admin15 . '<br />' . $flag0 . '<br />';

if (($browser == "KO") || ($serviz[49] != "in")){
    MiniEditorTextarea('1', 'exp_conf', 'exp_message0', '540px', '330px',
                       $exp_message[0]);  //miniediteur
} elseif (($browser == "OK") && ($serviz[49] == "in") &&
           file_exists(CHEMIN . 'inc/fckeditor/fckeditor.php')) {
    $exp_message[0] = PathRelativeAbsolute($exp_message[0]);
    FCKeditor('exp_message0', 'inc/fckeditor/', '98%', 480, $exp_message[0],
              'Guppy_in', 'admin/editors/'); //editeur FCKeditor
} else {
    echo '<table cellspacing="0" cellpadding="0" border="0" width="90%" style="vertical-align:middle; cursor:pointer;">
  <tr><td colspan="2" align="center" >
    <textarea cols="50" rows="10" name="exp_message0" >' . $exp_message[0] . '</textarea></td></tr>
  <tr><td align="center" style="padding-top:10px;">';
    Drawsmileys2();
    echo '</td><td style="padding-top:10px;">
  <img border="0" src="'.$site[3].'inc/jscript/imgedit/help.gif" alt="Help" title="Help"
    onclick="PopupWindow(\''.$site[3].'inc/lang/'.$lng.'-help.htm#ed2\',\'Aide\',\'440\',\'200\',\'no\',\'yes\');" />
  </td></tr>
</table>';
}

if (!empty($lang[1])) {
    echo '<br />' . $flag1 . '<br />';
    if (($browser == "KO") || ($serviz[49] != "in")){
        MiniEditorTextarea('1', 'exp_conf', 'exp_message1', '540px', '330px',
                           $exp_message[1]);  //miniediteur
    } elseif (($browser == "OK") && ($serviz[49] == "in") &&
               file_exists(CHEMIN . 'inc/fckeditor/fckeditor.php')) {
        $exp_message[1] = PathRelativeAbsolute($exp_message[1]);
        FCKeditor('exp_message1', 'inc/fckeditor/', '98%', 480, $exp_message[1],
                  'Guppy_in', 'admin/editors/'); //editeur FCKeditor
    } else {
        echo '<table cellspacing="0" cellpadding="0" border="0" width="90%" style="vertical-align:middle; cursor:pointer;">
  <tr><td colspan="2" align="center" >
    <textarea cols="50" rows="10" name="exp_message1" >' . $exp_message[1] . '</textarea></td></tr>
  <tr><td align="center" style="padding-top:10px;">';
        Drawsmileys2();
        echo '</td><td style="padding-top:10px;">
  <img border="0" src="'.$site[3].'inc/jscript/imgedit/help.gif" alt="Help" title="Help"
    onclick="PopupWindow(\''.$site[3].'inc/lang/'.$lng.'-help.htm#ed2\',\'Aide\',\'440\',\'200\',\'no\',\'yes\');" />
  </td></tr>
</table>';
    }
} else {
    echo '<input name="exp_message1" type="hidden" value="' . $exp_message[1] . '" />';
}

echo '<br /><br />
';
echo '<div align=center>
<input type="submit" name="root_submit" value="Ok">
</div>
</form>
';

echo '<hr />
<p align="center">
<a href="admin.php?lng=' . $lng . '">' . $admin22 . '</a> ||
<b><a href="admin.php?lng=' . $lng . '&amp;logout=1">' . $admin19 . '</a></b></p>';

btable();
include(CHEMIN."inc/bpage.inc");
